Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom

From: Sean Whitton <[email-masked]>
Date: Wed, 19 Aug 2020 09:36:29 -0700

Hello,

On Wed 19 Aug 2020 at 04:16AM +03, Juri Linkov wrote:

> Regarding a new option to disable such messages at all, it seems this is
> a more general question because AFAIR, in the past, users asked for a way
> to disable messages for many other commands, such as "Wrote ..." of 'save-buffer',
> etc.
>
> Maybe there should be a new feature allowing to disable messages selectively
> for different commands?  Maybe just by putting a symbol property on the
> command symbol.

I agree that would be a cool feature.  In my own case, I just want to
get rid of the cursor blinking when copying the region.

> Regarding disabling the "swapping point and mark" feature: since
> 'indicate-copied-region' uses 'blink-matching-delay', shouldn't this
> behaviour be disabled by the existing option 'blink-matching-paren-on-screen'
> in 'indicate-copied-region' as well (in addition to 'blink-matching-open'
> where it's used originally)?

I'd like to have paren blinking turned on (it's too useful even if I
generally dislike blinking) but copy region blinking turned off (not
useful to me and visually distracting).

-- 
Sean Whitton